package cc.fascinated.model.score;

import jakarta.persistence.Id;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
public class TrackedScoreDTO {
    /**
     * The ID of the score.
     */
    @Id
    private String scoreId;

    /**
     * The ID of the player who set the score.
     */
    private String playerId;

    /**
     * The ID of the leaderboard.
     */
    private String leaderboardId;

    /**
     * The PP of the score.
     */
    private Double pp;

    /**
     * The rank of the score.
     */
    private Long rank;

    /**
     * The base score of the score.
     */
    private Long score;

    /**
     * The number of misses in the score.
     */
    private Long missedNotes;

    /**
     * The accuracy of the score.
     */
    private Double accuracy;
}
